Bug 654777

Summary: SELinux empêche l'accès en « execute » à /usr/bin/perl on /bin/
Product: [Fedora] Fedora Reporter: Nicolas Mailhot <nicolas.mailhot>
Component: selinux-policyAssignee: Miroslav Grepl <mgrepl>
Status: CLOSED ERRATA QA Contact: Fedora Extras Quality Assurance <extras-qa>
Severity: medium Docs Contact:
Priority: medium    
Version: 14CC: dwalsh, mgrepl
Target Milestone: ---   
Target Release: ---   
Hardware: x86_64   
OS: Linux   
Whiteboard: setroubleshoot_trace_hash:b7a7f18fd0f4683ebe3f2ad4195e810c1d93101f1ba9c324e33470746929c879
Fixed In Version: Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of: Environment:
Last Closed: 2011-05-27 14:15:44 UTC Type: ---
Regression: --- Mount Type: ---
Documentation: --- CRM:
Verified Versions: Category: ---
oVirt Team: --- RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: --- Target Upstream Version:

Description Nicolas Mailhot 2010-11-18 19:07:17 UTC
Résumé:

SELinux empêche l'accès en « execute » à /usr/bin/perl on /bin/

Description détaillée:

SELinux a refusé l'accès demandé par amavisd. Il n'est pas prévu que cet accès
soit requis par amavisd et cet accès peut signaler une tentative d'intrusion. Il
est également possible que cette version ou cette configuration spécifique de
l'application provoque cette demande d'accès supplémenta

Autoriser l'accès:

Vous pouvez créer un module de stratégie locale pour autoriser cet accès - lisez
la FAQ (http://docs.fedoraproject.org/selinux-faq-fc5/#id2961385) Merci de
remplir un rapport de bogue.

Informations complémentaires:

Contexte source               system_u:system_r:amavis_t:s0
Contexte cible                system_u:object_r:shell_exec_t:s0
Objets du contexte            /bin/bash [ file ]
source                        amavisd
Chemin de la source           /usr/bin/perl
Port                          <Inconnu>
Hôte                          (supprimé)
Paquetages RPM source         perl-5.12.2-139.fc14
Paquetages RPM cible          bash-4.1.7-3.fc14
Politique RPM                 selinux-policy-3.9.7-11.fc14
Selinux activé                True
Type de politique             targeted
Mode strict                   Enforcing
Nom du plugin                 catchall
Nom de l'hôte                 (supprimé)
Plateforme                    Linux (supprimé) 2.6.35.8-59.fc14.x86_64 #1 SMP Tue
                              Nov 16 03:32:03 UTC 2010 x86_64 x86_64
Compteur d'alertes            2
Première alerte               jeu. 18 nov. 2010 14:13:21 CET
Dernière alerte               jeu. 18 nov. 2010 14:16:36 CET
ID local                      9e07e100-866e-4a9a-8277-ea7a2b7a7a29
Numéros des lignes            

Messages d'audit bruts        

node=(supprimé) type=AVC msg=audit(1290086196.139:3823): avc:  denied  { execute } for  pid=22985 comm="amavisd" name="bash" dev=dm-1 ino=97778 scontext=system_u:system_r:amavis_t:s0 tcontext=system_u:object_r:shell_exec_t:s0 tclass=file

node=(supprimé) type=SYSCALL msg=audit(1290086196.139:3823): arch=c000003e syscall=59 success=no exit=-13 a0=69877a0 a1=578f720 a2=6743ae0 a3=8 items=0 ppid=22831 pid=22985 auid=4294967295 uid=490 gid=485 euid=490 suid=490 fsuid=490 egid=485 sgid=485 fsgid=485 tty=(none) ses=4294967295 comm="amavisd" exe="/usr/bin/perl" subj=system_u:system_r:amavis_t:s0 key=(null)



Hash String generated from  catchall,amavisd,amavis_t,shell_exec_t,file,execute
audit2allow suggests:

#============= amavis_t ==============
allow amavis_t shell_exec_t:file execute;

Comment 1 Miroslav Grepl 2010-11-22 09:35:49 UTC
Fixed in selinux-policy-3.9.7-13.fc14